Introduction

The SMT6012 provides the drivers required to use Code Composer (CC) and Code Composer Studio (CCS) with the Sundance Multiprocessor Technology's range of carrier boards.

Texas Instruments software, if purchased through Sundance, will include the SMT6012.

This document describes how to select a CC or CCS driver based on:

  • The carrier board you use.
  • The version of CC or CCS you have.
  • The on-board or off-board debugging requirement.


Abbreviations

The following abbreviations will be used through the all document:

CC | Code Compose
CCS | Code Compose Studio
cPCI | Compact PCI
DSP | Digital Signal Processor
EPK | Emulation Porting Kit
PCI | Peripheral Component Interconnect
SMT | Sundance Multiprocessor Technology Ltd.
TIM | Texas Instrument Module


Supported carrier boards

The SMT6012 currently supports the following carrier boards:

Sundance carrier board | Description | Functionality
SMT300 | 1 TIM site Compact PCI carrier board | Supported
SMT300Q | 4 TIM site Compact PCI carrier board | Supported
SMT310 | 1 TIM site PCI carrier board | Supported
SMT310Q | 4 TIM site PCI carrier board | Supported
SMT145 | 1 TIM site 64-bit PCI carrier board | Supported
SMT320 (Obsolete) | 4 TIM site PCI carrier board | Not supported
SMT327 (Obsolete) | 4 TIM site Compact PCI carrier board | Not supported

Remark: The SMT300, SMT300Q, SMT310, SMT310Q and SMT145 carrier boards all use the driver for the SMT310. Similarly, the SMT320 and SMT327 both use the driver for the SMT320. For the remainder of this document, SMT310 driver will refer to the SMT300, SMT300Q, SMT310, SMT310Q and the SMT145. The SMT320 driver will refer to the SMT320 and the SMT327.


SMT320 version number

If you are using an SMT320, check to make sure which version of the SMT320 you are using. The version number of an SMT320 is written on the PCB, near the blue handle and next to the serial number (ADC4-xxxx).

Sundance doesn't support the SMT320 anymore.


Getting started

This section will help you to get started:

  • Requirements
  • Software installation


Requirements

Before installing the SMT6012 package make sure your system meets the following requirements:

  • CCS version
  • Software
  • Hardware


CCS version requirement

You need to have at least the following version of CC or CCS installed to be able to use the SMT6012.

Processor type | CC or CCS version required
C4x | CC version 4.3
C6x | CCS version 1.0 or higher (The FULL VERSION, not the limited version supplied with an evaluation board).

Sundance only supports Code Composer Studio version 2.21 and above.


Software requirements

The PC Operating System must be Windows 9x / NT 4.0 / Windows 2000 / Windows XP or above.

On a Windows NT / Windows 2000 / Windows XP system, you must be logged in as user with administrative rights.


Hardware requirements

The PC must supply 3.3V on the PCI bus. If you are not sure, please check the voltage between a mounting hole of your carrier card and a ground from a PC power cable. Only a few C4x TIMs do not require 3.3V.

Ensure that the bolt makes contact with the metal ring of the mounting hole. See the user manual of your carrier board for the details.


Software installation

This section describes how to install the SMT6012 package.

There are two ways to install the SMT6012:

  • From Sundance Wizard
  • From CD

Remark: Whichever method you use, you will need a password. The password is different for the installation with the CD and for the installation with the Sundance Wizard. You will be given the passwords when you purchase the SMT6012. If you have any problem with the SMT6012 installation, please contact Sundance.


Software installation from the Sundance wizard

Software installation from Sundance Wizard

The wizard is the recommended way to install all the Sundance software, including the SMT6012, as well as to check and configure your hardware.

You can find the Sundance Wizard installation file (setup.exe) on the Sundance CD or you can download it from our website: http://support.sundance.com/updates/Wizard/setup.exe


Software installation from CD

Follow those instructions to install the SMT6012 package from CD:

  • Insert the Sundance CD into your CD drive.

  • Open an explorer window and browse to the CD.

  • Run the setup.exe from the SMT6012 folder.

Remark: You will need a password to install the SMT6012. This password will be given to you when you purchase the SMT6012. Please note that the password for the CD installation is different from the password for the wizard installation.

The default directory for the SMT6012 is “C:\Program Files\Sundance\SMT6012”. The installation should give you the directory structure shown below.


Driver directory structure

The default directory for the SMT6012 is “C:\Program Files\Sundance\SMT6012”. The installation should give you the directory structure shown below.

During the setup of CC and CCS you will need to refer to the SMT6012 drivers. For CC v4.3 and CCS 1.x, you will find the drivers under the "C:\WINDOWS\system32" directory. For CCS v2.0 and above, you will find the *.cfg files as shown above.


Determining the IO address

Determining the I/O address of the carrier board

After installing the SMT6012 package, you will need to find the base I/O address of the Sundance carrier board. This address is required to set-up CC or CCS.

For this purpose, you can use the Board Info Utility supplied along with the SMT6300 package.

Go to "Start" -> "All Programs" -> "Sundance" -> "SMT6300" -> "SmtBoardInfo"


Setting up CCS

Setting up Code Composer and Code Composer Studio

This section describes how to configure CC and CCS depending of the version you are using:

  • CC version 4.3
  • CCS version 1.0
  • CCS version 1.2
  • CCS version 2.x

Remark: Sundance supports CCS version 2.21 and above


Setting up Code Composer Studio version 4.3

Setting up Code Composer version 4.3

Sundance supports CCS v2.21 and above. The instructions below are for information purposes only.

Follows the instructions below to setup CC v4.3.

  • Select the relevant Code Composer driver files from the driver directory as described in the table below and copy them into the Code Composer directory. The driver directory is usually "C:\WINDOWS\system32".
Board | On-board - C4x | Off-board – C4x | On-board - C62 | Off-board – C62
SMT310 | SMT310C4xOn.dll | SMT310C4xOff.dll | Not supported | Not supported
SMT310Q | Not supported | Not supported | Not supported | Not supported
SMT320-V4 | SMT320C4xOn.dll | SMT320C4xOff.dll | SMT320C62Off.dll | SMT320C62On.dll
SMT320-V3 | SMT320C4xOn.dll | SMT320C4xOff.dll | SMT320C62On.dll | SMT320C62Off.dll
  • Open Code Composer setup program.
  • Go to the "General" Tab
  • Click "Add Driver" and select the relevant driver file.
  • Enter the I/O Port address for your Sundance carrier board. For more information see the section "Determining the I/O address of the carrier board".
  • Go to the "Multi-processor" tab. Declare each C4x processor by entering a suitable unique processor name. Make sure not to use any capital letters in the processor name, for example 'p1'. Then click "Insert" to add the processor in the "Processor List".
  • Click "OK" twice to exit the Code Composer setup program.

Code Composer is now ready to use.


Setting up Code Composer Studio version 1.0

Sundance supports CCS v2.21 and above. The instructions below are for information purposes only.

Follows the instructions below to setup CCS v1.0.

  • Open Code Composer Studio setup program.
  • Click on "Install Device Driver" and browse to the directory where the SMT6012 installed the device drivers. It is usually "C:\WINDOWS\system32". Refer to the table below to select the relevant driver file for your board.
Board | On-board | Off-board
SMT310 | SMT310C6xOn.drv | SMT310C6xOff.drv
SMT310Q | SMT310C6xOn.drv | SMT310C6xOn.drv
SMT320-V4 | SMT320C6xOff.drv | SMT320C6xOn.drv
SMT320-V3 | SMT320C6xOn.drv | SMT320C6xOff.drv

  • The selected driver should now be displayed in the "Available Board/Simulator Types" panel. Click and drag it into the "System Configuration" panel. This triggers the "Board Properties" window to come up. Click on "Next".
  • Enter the I/O Port value for your Sundance carrier board. For more information see the section "Determining the I/O address of the carrier board". Click "Next".
  • You now must enter the number of processors plugged into the Sundance carrier board as well as any devices to bypass (if there are any). Once done click "Finish".
  • Code Composer Studio is now ready to use. Save and exit the setup program.


Setting up Code Composer Studio version 1.2

Sundance supports CCS v2.21 and above. The instructions below are for information purposes only.

Follows the instructions below to setup CCS v1.2.

  • Open Code Composer Studio setup program.
  • Select the “Install a device driver” link on the right hand side window.
  • Browse to the drivers directory under your Code Composer directory. For the C62 and C67 type processors, select the “tixds6000.drv” file as shown below. The CCS directory is typically “C:\ti\drivers”.
  • In the “Device driver properties” window, click "OK".
  • In the “Available Boards/ Simulator types” window, double-click the “tixds6000” driver. Click "Next".
  • Set the I/O port address: Change “Value” as shown below. In this specific case the I/O address is 0XE. For more information see the section "Determining the I/O address of the carrier board". Click “Next”.
  • Specify the processor(s): Select the processor(s) that you have on your carrier board as shown below. If you have any C4x processor, they need to be specified as “Bypass” with “Number of bits in the instruction register” set to 8.
  • Click "Finish".
  • Save and exit the setup program.

Now, you need to set the environment variables before using CCS:

  • Windows NT4/2000

Add the following lines to your Windows NT environment. To do this, right click on “My Computer” on the desktop, and select "Properties". Go to the "Advanced" tab and select “Environment variables”.

Name | Value
UNIFY_PODDRVR_E | [DLLNAME]
UNIFY_PODPORT_E | [ADDRESS]

  • Windows 95/98

Add the following entries in your “Autoexec.bat” file, which is typically in "C:\".

Entries
SET UNIFY_PODDRVR_E = [DLLNAME]
SET UNIFY_PODPORT_E = [ADDRESS]

[DLLNAME] is the driver DLL name as described in the table below:

Board | On-board | Off-board
SMT310 | SMT310On12.dll | SMT310Off12.dll
SMT310Q | SMT310On12.dll | SMT310On12.dll
SMT320-V4 | SMT320On12.dll | SMT320Off12.dll
SMT320-V3 | SMT320On12.dll | SMT320Off12.dll

[ADDRESS] is the I/O base address. For more information see the section "Determining the I/O address of the carrier board".

Code Composer Studio is now ready to use.

Note: It is not possible to configure CCS 1.2 to use two or more independent carrier boards. If this is your requirement, then use CCS 2.0 or above.


Setting up Code Composer Studio version 2.x

Follows the instructions below to setup CCS v2.x.

  • Open Code Composer Studio setup program.
  • Select the “Install a device driver” link on the right hand side window.
  • Browse to the driver’s directory under your Code Composer Studio directory. This is usually “C:\ti\drivers”.

  • Select the relevant XDS driver file: The driver file you select will depend on the characteristics of the DSP you have. For C62 and C67 type processors, this is typically the “tixds6000.drv” and for C64 processors, it is typically "tixds6400.drv". Refer to the TI documentation for which driver to use. Note that the driver you should use may depend on the silicon rev of the processor you are using.

For illustrative purposes only, we are using the "tixds6000.drv" file.

  • In the “Device driver properties” window, click "OK".
  • In the “Available Processor Types” window, double-click the relevant driver file. A window similar to the one below should appear.

  • In the drop down list, select the “Auto-generate board data file with extra configuration file”.
  • Configuration File: B rowse to the directory where the SMT6012 is installed. This is usually “C:\Program Files\Sundance\SMT6012”. Refer to the table below for the relevant configuration file for your board. Click “Next”.
Board | On-board | Off-board
SMT310 | SMT310On20.cfg | SMT310Off20.cfg
SMT310Q | SMT310On20.cfg | SMT310On20.cfg
SMT320-V4 | SMT320On20.cfg | SMT320Off20.cfg
SMT320-V3 | SMT320On20.cfg | SMT320Off20.cfg

  • Set the I/O port address: Change “Value” as shown below. In this specific case the I/O address is 0XC400. For more information see the section "Determining the I/O address of the carrier board". Click “Next”.

  • Specify the processor(s): Select the processor(s) that you have on your carrier board as shown below. If you have any C4x processor, they need to be specified as “Bypass” with “Number of bits in the instruction register” set to 8.

  • Click "Next".
  • Specify the GEL file: If you are using a GEL file, you can specify it at this stage.

  • Click "Finish".
  • Save and exit the setup program.

Code Composer Studio is now ready to use.


Setting up Code Composer Studio version 3.0

Follows the instructions below to setup CCS v3.0.

  • Open Code Composer Studio setup program.

If the driver you want to use is not present in the "Available Board/Simulator Types"" section, you have to install it:

  • Select the “Install a device driver” link on the right hand side window.
  • Browse to the driver’s directory under your Code Composer Studio directory. This is usually “C:\CCStudio\drivers”.

  • Select the relevant XDS driver file: The driver file you select will depend on the characteristics of the DSP you have. For C62 and C67 type processors, this is typically the “tixds6000.drv” and for C64 processors, it is typically "tixds6400.drv". Refer to the TI documentation for which driver to use. Note that the driver you should use may depend on the silicon rev of the processor you are using.

For illustrative purposes only, we are using the "tixds6000.drv" file.

  • In the “Device driver properties” window, click "OK".
  • In the “Available Processor Types” window, double-click the relevant driver file. A window similar to the one below should appear.

  • In the drop down list, select the “Auto-generate board data file with extra configuration file”.
  • Configuration File: B rowse to the directory where the SMT6012 is installed. This is usually “C:\Program Files\Sundance\SMT6012”. Refer to the table below for the relevant configuration file for your board. Click “Next”.
Board | On-board | Off-board
SMT310 | SMT310On20.cfg | SMT310Off20.cfg
SMT310Q | SMT310On20.cfg | SMT310On20.cfg
SMT320-V4 | SMT320On20.cfg | SMT320Off20.cfg
SMT320-V3 | SMT320On20.cfg | SMT320Off20.cfg
SMT145 | SMT310On20.cfg | SMT310Off20.cfg

  • Set the I/O port address: Change “Value” as shown below. In this specific case the I/O address is 0XC400. For more information see the section "Determining the I/O address of the carrier board". Click “Next”.

  • Specify the processor(s): Select the processor(s) that you have on your carrier board as shown below. If you have any C4x processor, they need to be specified as “Bypass” with “Number of bits in the instruction register” set to 8.

  • Click "Next".
  • Specify the GEL file: If you are using a GEL file, you can specify it at this stage.

  • Click "Finish".
  • Save and exit the setup program.

Code Composer Studio is now ready to use.


Setting up Code Composer Studio version 3.x

The SMT6012 installation package installed on your computer files in the Texas Instrument directory in order for the Sundance hardware to be listed inside the Code Composer Setup. Therefore setting up CCS with Sundance hardware is quite intuitive. For more details see "Setting up CCS v3.X for Sundance hardware"

In the case you are having problems configuring CCS using the predefined Sundance hardware configuration, see the "general configuration of CCS" section.


Sundance Modules

Setting up CCS version 3.x for Sundance modules

Follows the instructions below to setup CCS v3.x.

  • Open Code Composer Studio setup program.

  • In "Create Boards", select the "Sundance Carrier Boards" by double clicking on it. If you don't have "Sundance Carrier Boards" in the list of "Available Connections" follow the general instructions.
  • A window similar to the one below should appear. (You can also go in "System Configuration" and right click on your system and select "Properties". )

  • In the drop down list, select the “Auto-generate board data file with extra configuration file”.
  • Configuration File: B rowse to the directory where the SMT6012 is installed. This is usually “C:\Program Files\Sundance\SMT6012”. Refer to the table below for the relevant configuration file for your board. Click “Next”.
Board | On-board | Off-board
SMT310 | SMT310On20.cfg | SMT310Off20.cfg
SMT310Q | SMT310On20.cfg | SMT310On20.cfg
SMT320-V4 | SMT320On20.cfg | SMT320Off20.cfg
SMT320-V3 | SMT320On20.cfg | SMT320Off20.cfg

  • Set the I/O port address: Change “Value” as shown below. In this specific case the I/O address is 0XC400. For more information see the section "Determining the I/O address of the carrier board". Click “Next”.

  • Specify the processor(s): In "System Configuration", select your system. Then drag the processor(s) from "Available Processors" onto your system. Remark: "SMTXXX_D11" represents the processor with the recent D11 silicon revision.

  • Specify the GEL file: Right click on a processor and select "Properties".
  • Click "Save&Quit"

Code Composer Studio is now ready to use.


Sundance Modules - SMT362

Setting up CCS version 3.2 and above for the SMT362

Follows the instructions below to setup CCS v3.2 and above.

  • Open Code Composer Studio setup program.

  • In "Create Boards", select the "Sundance Carrier Boards" by double clicking on it. If you don't have "Sundance Carrier Boards" in the list of "Available Connections" follow the general instructions.
  • A window similar to the one below should appear. (You can also go in "System Configuration" and right click on your system and select "Properties". )

  • In the drop down list, select the “Auto-generate board data file with extra configuration file”.
  • Configuration File: B rowse to the directory where the SMT6012 is installed. This is usually “C:\Program Files\Sundance\SMT6012”. Refer to the table below for the relevant configuration file for your board. Click “Next”.
Board | On-board | Off-board
SMT310 | SMT310On20.cfg | SMT310Off20.cfg
SMT310Q | SMT310On20.cfg | SMT310On20.cfg
SMT320-V4 | SMT320On20.cfg | SMT320Off20.cfg
SMT320-V3 | SMT320On20.cfg | SMT320Off20.cfg

  • Set the I/O port address: Change “Value” as shown below. In this specific case the I/O address is 0XC400. For more information see the section "Determining the I/O address of the carrier board". Click “Next”.

  • Specify the router: In "System Configuration", select your system. Then drag "SMT362_ICEPICK" from "Available Processors" onto your system.

A window "Router Properties" will appear. The properties are already set up properly. Click "Next" twice and then "Finish".

  • Specify the processor: In "System Configuration", select "Subpath_0". Then drag "SMT362" from "Available Processors" onto your subpath.

  • The SMT362 is a 2-DSP module: add a second router and a second processor following the previous instruction.

  • Click "Save&Quit"

Code Composer Studio is now ready to use.


General

Setting up CCS version 3.x

Follows the instructions below to setup CCS v3.x.

  • Open Code Composer Studio setup program.

  • In "Factory Boards", select the "Family" and the "Platform". For example select the "C67xx" family and the "xds510 emulator" platform. This platform will be mostly the one used for Sundance products.

  • In the "Available Factory Boards", select the relevant DSP by double clicking on it.
  • Go in "System Configuration" and right click on your system and select "Properties". A window similar to the one below should appear.

  • In the drop down list, select the “Auto-generate board data file with extra configuration file”.
  • Configuration File: B rowse to the directory where the SMT6012 is installed. This is usually “C:\Program Files\Sundance\SMT6012”. Refer to the table below for the relevant configuration file for your board. Click “Next”.
Board | On-board | Off-board
SMT310 | SMT310On20.cfg | SMT310Off20.cfg
SMT310Q | SMT310On20.cfg | SMT310On20.cfg
SMT320-V4 | SMT320On20.cfg | SMT320Off20.cfg
SMT320-V3 | SMT320On20.cfg | SMT320Off20.cfg

  • Set the I/O port address: Change “Value” as shown below. In this specific case the I/O address is 0XC400. For more information see the section "Determining the I/O address of the carrier board". Click “Next”.

  • Specify the processor(s): In "System Configuration", select your system. Then drag the processor(s) from "Available Processors" onto your system.

  • Specify the GEL file: Right click on a processor and select "Properties".
  • Click "Save&Quit"

Code Composer Studio is now ready to use.


Using multiple independent boards

If you are using multiple independent boards (i.e. boards that are not connected via the JTAG chain) you should have a board entry for each of the boards. This is not possible in CCS 1.2 to specify 2 independent boards, and you will have to use CCS 2.x or above to accomplish this.

You can add more carrier boards to the system by repeating the procedure outlined in section "Setting up CCS version 2.x". For each board you add, specify a unique board name.

The figure below shows the configuration for CCS 2.x for multiple independent boards


Debug configurations

The Sundance carrier board includes a JTAG controller chip. This chip enables the various processor elements on the carrier board to communicate information between each other.

CC and CCS uses the JTAG chain to debug processors. The JTAG chain interconnects hardware elements as shown below.

On-board and off-board debugging refers to the way the JTAG chain is used.

On-board debugging:

For on-board debugging the JTAG chain is local to the carrier board. The JTAG controller selects the input from the “TDI On-board” pin. This effectively disables the external JTAG chain.

Off-board debugging:

For Off-board debugging, the JTAG controller chip selects its input from the external connector. This implies that the JTAG chain now includes the external JTAG chain. This configuration is useful when you want to debug external hardware using the carrier board as a master.

If you are connecting the carrier board to other carrier boards located in the same system, you can use the on-board JTAG connector to make their JTAG paths part of the JTAG chain of the master carrier board.

Please refer to the user manual of the carrier board that you are using for the details on how to connect the carrier board with an external JTAG chain.

Remark: CCS detects the carrier board with the highest I/O address first. On each of the carrier boards, the processor in TIM site 1 is detected first and then the processor on TIM site 2 etc.


Master/Slave configuration

It is possible to use a carrier board as a master board that is used to debug a slave board in a remote system. In this case the slave boards have to be part of the JTAG chain of the master board. The figure below shows such a configuration. Each processor on the slave boards has to be specified in the CCS setup. Ensure that CCS is set up to point to the master carrier board.

The figure below shows the CCS setup for the sample configuration shown above.


Problematic configurations

Some configurations can be difficult to set in CCS:

  • C4x type processor
  • Mixed C62/C67 configuration
  • Multiple carrier boards
  • Mixed C4x/C6x configuration
  • Using a C6x to program a C4x (Hex Loader)


Setting up CCS using C4x type processor

CCS does not support the C4X range of processors. If you are using C4x type processors, then you need to declare them as “Bypass” processors in the CCS setup. The “Number of bits in the instruction register” must be set to 8. This will cause CCS to know about the processors in the JTAG chain.

Sundance’s non-DSP module must not be set, neither as " CPU" nor as " Bypass" as they don’t have any scan path, i.e., TDI is routed directly to TDO. This means that they won’t appear in the " System Configuration" window.

However, if the non-DSP module has a scan path, then it must be added as a bypassed module with a “Number of bits in the instruction register” set as specified in its User Manual.

For further information about how to bypass devices that are not recognized by your CCS driver, please refer to the TI help.

Example:

The user has a SMT320 with a C6x TIM in site 0 (root), a C6x TIM in site 1, a C4x TIM in site 2 and a non-DSP TIM (from Sundance) in site 3.

The setting for CCS 2.0 should look like this:


Setting up CCS for a mixed C62/C67 configuration

Setting up CCS using a mixed C62/C67 configuration

CCS version 2.0 allows the use of mixed C62 and C67 processors. If this is your requirement, we recommend you to update to CCS version 2.0 or later.


Setting up CCS for multiple carrier boards

If you have more than one Sundance carrier board in your system, that you would like to use independently, you will need to setup CCS version 2.0 or later.

For more information see section: "Using multiple independent boards"


Setting up CCS for a mixed C4x/C6x configuration

When using a C6x type processor and a C4x type processor on the same carrier board, the C4x module must be bypassed with "Number of bits in the instruction register" set to 8. This is what CCS Setup should look like:


Setting up CCS using a C6x to program a C4x

Setting up CCS using a C6x to program a C4x (Hex Loader)

It is possible to boot a C4x using a C6x processor. For an example of this, please contact support@sundance.com.


Troubleshooting

This section provides assistance to customers who are experiencing difficulties with CCS and Sundance hardware, and presents a checklist for the most common issues.

Throughout we assume that the hardware has not been damaged (by static discharge, for example). Please contact Sundance or use the support forum if nothing here helps you to resolve your problem.

Please check first the "Known issues" section.

  • CCS fails to open


Known Issues

  • Exit Code Composer Studio


Exit Code Composer Studio

When exiting CCS, always ensure that the CPU is running free. To do this, click "Debug" -> "Run Free" before closing your CCS session.

Failure to do this will result in the DSP being halted, which would cause the DSP to stop responding to other applications. If you now reset the TIM module, the DSP will not load the boot loader.

To recover from the condition described above, open CCS again, and select "Debug" -> "Run Free" from the menu.


CCS fails to open

This section describes the type of problem you may have and its solution.

Problem: Code Composer is not set up properly.

Solution: Open Code Composer Setup program and check that the I/O port address and the driver used are correct.

Problem: Sundance hardware was not installed properly.

Solution:

  • Check that the board is plugged properly and that it is supplied with 3.3V if required. The bolt must make contact with the mounting hole ring.
  • Ensure you are using the CCS drivers part of the SMT6012 package


System requirements

Software

  • The PC Operating System must be Windows 9x / NT 4.0 / Windows 2000 or above.
  • On a Windows NT / Windows 2000/ XP system, you must be logged in as a user with administrative rights.

Hardware

  • The PC must supply 3.3V on the PCI bus. If you are not sure, please check the voltage between a mounting hole of your carrier card and a Ground from a PC power cable. Only a few C4x TIMs do not require 3.3V.
  • Ensure that the bolt makes contact with the metal ring of the mounting hole. See the user manual of your carrier board for the details.